Imports System.ComponentModel
Imports System.Data.SQL

Public Class Class1
    Inherits System.ComponentModel.Component

    Public Sub New()
        MyBase.New

        'This call is required by the Component Designer.
        InitializeComponent

        ' TODO: Add any initialization after the InitializeComponent() call

    End Sub

#Region " Component Designer generated code "

    'Required by the Component Designer
    Private components As Container

    'NOTE: The following procedure is required by the Component Designer
    'It can be modified using the Component Designer.  
    'Do not modify it using the code editor.
    Private Sub InitializeComponent()
        components = New System.ComponentModel.Container
    End Sub

#End Region
    
    '*******************************************************
    '
    ' ShoppingCartDB.AddItem() Method <a name="AddItem"></a>
    '
    ' The AddItem method adds an item into a shopping cart.
    '
    ' Other relevant sources:  
    '     + <a href="srcview.aspx?path=../srcview/AddToCart.src&file=../docs/ShoppingCartAddItem.htm" style="color:green">ShoppingCartAddItem Stored Procedure</a>
    '
    '******************************************************* 
    
    Public Sub AddItem(ByVal cartID As String, ByVal productID As Integer, ByVal quantity As Integer)
        
        ' Create Instance of Connection and Command Object
        Dim myConnection As SQLConnection = New SQLConnection(IBuySpyDB.ConnectionString)
        Dim myCommand As SQLCommand = New SQLCommand("ShoppingCartAddItem", myConnection)
        
        ' Mark the Command as a SPROC
        myCommand.CommandType = CommandType.StoredProcedure
        
        ' Add Parameters to SPROC
        Dim parameterProductID As SQLParameter = New SQLParameter("@ProductID", SQLDataType.Int, 4)
        parameterProductID.Value = productID
        myCommand.Parameters.Add(parameterProductID)
        
        Dim parameterCartID As SQLParameter = New SQLParameter("@CartID", SQLDataType.NVarChar, 50)
        parameterCartID.Value = cartID
        myCommand.Parameters.Add(parameterCartID)
        
        Dim parameterQuantity As SQLParameter = New SQLParameter("@Quantity", SQLDataType.Int, 4)
        parameterQuantity.Value = quantity
        myCommand.Parameters.Add(parameterQuantity)
        
        Try
            ' Open the connection and execute the Command
            myConnection.Open()
            myCommand.Execute()
        Catch e As Exception
            ' An error occurred, pass the exception up
            Throw e
        Finally
            ' Close the Connection
            If myConnection.State = DBObjectState.Open Then
                myConnection.Close()
            End If
        End Try
        
    End Sub
    
    '*******************************************************
    '
    ' ShoppingCartDB.UpdateItem() Method <a name="UpdateItem"></a>
    '
    ' The UpdateItem method updates the quantity of an item 
    ' in a shopping cart.
    '
    ' Other relevant sources:  
    '     + <a href="srcview.aspx?path=../srcview/ShoppingCart.src&file=../docs/ShoppingCartUpdate.htm" style="color:green">ShoppingCartUpdate Stored Procedure</a>
    '
    '******************************************************* 
    
    Public Sub UpdateItem(ByVal cartID As String, ByVal productID As Integer, ByVal quantity As Integer)
        
        ' Create Instance of Connection and Command Object
        Dim myConnection As SQLConnection = New SQLConnection(IBuySpyDB.ConnectionString)
        Dim myCommand As SQLCommand = New SQLCommand("ShoppingCartUpdate", myConnection)
        
        ' Mark the Command as a SPROC
        myCommand.CommandType = CommandType.StoredProcedure
        
        ' Add Parameters to SPROC
        Dim parameterProductID As SQLParameter = New SQLParameter("@ProductID", SQLDataType.Int, 4)
        parameterProductID.Value = productID
        myCommand.Parameters.Add(parameterProductID)
        
        Dim parameterCartID As SQLParameter = New SQLParameter("@CartID", SQLDataType.NVarChar, 50)
        parameterCartID.Value = cartID
        myCommand.Parameters.Add(parameterCartID)
        
        Dim parameterQuantity As SQLParameter = New SQLParameter("@Quantity", SQLDataType.Int, 4)
        parameterQuantity.Value = quantity
        myCommand.Parameters.Add(parameterQuantity)
        
        Try
            ' Open the connection and execute the Command
            myConnection.Open()
            myCommand.Execute()
        Catch e As Exception
            ' An error occurred, pass the exception up
            Throw e
        Finally
            ' Close the Connection
            If myConnection.State = DBObjectState.Open Then
                myConnection.Close()
            End If
        End Try
        
    End Sub
    
    '*******************************************************
    '
    ' ShoppingCartDB.RemoveItem() Method <a name="RemoveItem"></a>
    '
    ' The RemoveItem method removes an item from a 
    ' shopping cart.
    '
    ' Other relevant sources:  
    '     + <a href="srcview.aspx?path=../srcview/ShoppingCart.src&file=../docs/ShoppingCartRemoveItem.htm" style="color:green">ShoppingCartRemoveItem Stored Procedure</a>
    '
    '******************************************************* 
    
    Public Sub RemoveItem(ByVal cartID As String, ByVal productID As Integer)
        
        ' Create Instance of Connection and Command Object
        Dim myConnection As SQLConnection = New SQLConnection(IBuySpyDB.ConnectionString)
        Dim myCommand As SQLCommand = New SQLCommand("ShoppingCartRemoveItem", myConnection)
        
        ' Mark the Command as a SPROC
        myCommand.CommandType = CommandType.StoredProcedure
        
        ' Add Parameters to SPROC
        Dim parameterProductID As SQLParameter = New SQLParameter("@ProductID", SQLDataType.Int, 4)
        parameterProductID.Value = productID
        myCommand.Parameters.Add(parameterProductID)
        
        Dim parameterCartID As SQLParameter = New SQLParameter("@CartID", SQLDataType.NVarChar, 50)
        parameterCartID.Value = cartID
        myCommand.Parameters.Add(parameterCartID)
        
        Try
            ' Open the connection and execute the Command
            myConnection.Open()
            myCommand.Execute()
        Catch e As Exception
            ' An error occurred, pass the exception up
            Throw e
        Finally
            ' Close the Connection
            If myConnection.State = DBObjectState.Open Then
                myConnection.Close()
            End If
        End Try
        
    End Sub
    
End Class

