namespace ManagedProviderDemo
{
    using System;	 
	using System.Data;
	using System.Data.ADO;

    public class ManagedProvider
    {        
        public static int Main(string[] args)
        {
            ADOConnection myConn = null;
			ADOCommand myCmd = null;
			ADODataReader myReader = null;
			string sConnStr ="";
			string sSelectStmt = "";

			sConnStr = "Provider=SQLOLEDB.1;";
			sConnStr += "Integrated Security=SSPI;";
			sConnStr += "Persist Security Info=false;";
			sConnStr += "Initial Catalog=Northwind;";
			sConnStr += "Data Source=(local);";

			sSelectStmt = "Select * From Employees";

			myConn = new ADOConnection(sConnStr);
			myCmd = new ADOCommand(sSelectStmt, myConn);				

            try 
			{
				myConn.Open();
				myCmd.Execute(out myReader);
				if (null != myReader)
				{
					while(myReader.Read())
					{
						Console.WriteLine("employee last name: {0}", myReader["lastname"]);
					}
				}
			}
			catch(Exception e)
			{
				Console.WriteLine(e.ToString());
			}
			finally
			{
				if (myConn.State == DBObjectState.Open)
				{
					myConn.Close();	
				}
				if (null != myReader)
				{
					myReader = null;
				}
			}
			
			Console.ReadLine();

            return 0;
        }
    }
}
